Sign Up

Sign In

Forget Password

Lost your password? Please enter your email address. You will receive a link and will create a new password via email.

You must login to ask question.

Discy Latest Questions

  • 0

How to add cardview in layout xml in AndroidX After upgraded to AndroidX <android.support.v7.widget.CardView xmlns:android="http://schemas.android.com/apk/res/android" xmlns:tools="http://schemas.android.com/tools" android:layout_width="match_parent" android:layout_height="wrap_content" android:layout_margin="5dp"> gives a error The following classes could not be found: – android.support.v7.widget.CardView (Fix Build ...

  • 0

Switched to AndroidX and received deprecated: import androidx.test.InstrumentationRegistry. If I made next import: import androidx.test.platform.app.InstrumentationRegistry I can’t use getContext(). Ex: val context = InstrumentationRegistry.getContext(). In build.gradle: androidTestImplementation 'androidx.test.ext:junit:1.0.0-beta02' androidTestImplementation 'androidx.test:runner:1.1.0-beta02'

  • 0

I am trying to get the TextView of the Snackbar with this code snippet: snackbarView.findViewById<TextView>(android.support.design.R.id.snackbar_text) but Android Studio does not resolve the design library. How can I get this code to work?

  • 0

I just made a migration to androidx through Android Studio menu option Refactor -> Refactor to AndroidX I’m getting the following error: android.view.InflateException: Binary XML file line #2: Binary XML file line #2: Error inflating class androidx.constraintlayout.ConstraintLayout Any idea?

  • 0

I’m using Android Studio 3.2 Beta5 to migrate my project to AndroidX. When I rebuild my app I got these errors: ERROR: [TAG] Failed to resolve variable ‘${animal.sniffer.version}’ ERROR: [TAG] Failed to resolve variable ‘${junit.version}’ Full clean & rebuild did not work! Anyone know how to ...

  • 0

For my instrumentation tests I was using @RunWith(AndroidJUnit4.class) from import androidx.test.runner.AndroidJUnit4; in order to establish my test cases. Now this line gets marked as deprecated with the hint to use AndroidJUnit4 from import androidx.test.ext.junit.runners.AndroidJUnit4 However if I try to import AndroidJUnit4 from the named package I get the error, that ext can ...

close